> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reseller settings

> Returns the selected reseller's identity, status, product-plan, and external-system identifiers. This operation requires an authorized partner account.




## OpenAPI

````yaml get /api/v2/reseller/settings
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
tags:
  - name: Agents
  - name: Inbound Email
    description: Control which senders may create inbound email work for an Agent.
  - name: Features
    description: Inspect capabilities available within an account hierarchy.
  - name: Conversation Logs
    description: Query conversation activity and calculate account-level metrics.
  - name: Computer Agents
    description: Set up, configure, inspect, and manage Vida Computer Agents.
  - name: Computer Agent Sessions
    description: View and reset Computer Agent sessions.
  - name: Accounts
  - name: Agent Templates
    description: Create, manage, and apply reusable Agent configurations.
paths:
  /api/v2/reseller/settings:
    get:
      tags:
        - Accounts
      summary: Get reseller settings
      description: >
        Returns the selected reseller's identity, status, product-plan, and
        external-system identifiers. This operation requires an authorized
        partner account.
      operationId: settingsGetIndex
      parameters: []
      responses:
        '200':
          description: Reseller settings
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  resellerStatus:
                    type: string
                    nullable: true
                  resellerEnabledAt:
                    type: integer
                    nullable: true
                  offeredProductPlanId:
                    type: string
                    nullable: true
                  active:
                    type: boolean
                    nullable: true
                  productPlanId:
                    type: string
                    nullable: true
                  email:
                    type: string
                    format: email
                    nullable: true
                  resellerName:
                    type: string
                    nullable: true
                  vidaPremium:
                    type: boolean
                  externalAccountId:
                    type: string
                    nullable: true
                  externalBillingId:
                    type: string
                    nullable: true
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````